import Vue from 'vue'
import App from './App'
import store from './store'

import {
  myRequest
} from './util/api.js'

Vue.prototype.$Request = myRequest


Vue.config.productionTip = false

App.mpType = 'app'

// 解决支付宝小程序bug
Vue.config.warnHandler = function(msg) {
  if (!msg.includes(
      'Avoid mutating a prop directly since the value will be overwritten whenever the parent component re-renders.'
      )) { 
     // uniApp bug: https://ask.dcloud.net.cn/question/71966
    return console.warn && console.warn(msg)
  }
}


const app = new Vue({
  store,
  ...App
})
app.$mount()
